### Signal

# Gtk IMContext::commit

since: 4.0

#### Declaration

    void
    commit (
      GtkIMContext* self,
      gchar* str,
      gpointer user_data
    )

#### Description [src]

The ::commit signal is emitted when a complete input sequence has been entered by the user.

If the commit comes after a preediting sequence, the ::commit signal is emitted after ::preedit-end.

This can be a single character immediately after a key press or the final result of preediting.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`str`

  Type: `gchar*`

  The completed character(s) entered by the user.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.